epp_ContactAddress (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.contact.epp_ContactAddress class

### org.openrtk.idl.epp0705.contact

# Class epp_ContactAddress

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.contact.epp_ContactAddress`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactAddress`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent contact address. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/contact/epp_ContactAddress.java,v 1.1 2003/03/20 22:42:23 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:23 $

See Also:
  `epp_ContactNameAddress`

  ## Field Summary
  `String` | `m_city` The contact's city.
  `String` | `m_country_code` The contact's country code.
  `String` | `m_postal_code` The contact's postal code.
  `String` | `m_state_province` The contact's state or province.
  `String` | `m_street1` The part 1 of the contact's street address.
  `String` | `m_street2` The part 2 of the contact's street address.
  `String` | `m_street3` The part 3 of the contact's street address.

  ## Constructor Summary
  `epp_ContactAddress()` Empty constructor
  `epp_ContactAddress(String _m_street1, String _m_street2, String _m_street3, String _m_city, String _m_state_province, String _m_postal_code, String _m_country_code)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getCity()` Accessor method for the contact's city
  `String` | `getCountryCode()` Accessor method for the contact's country code
  `String` | `getPostalCode()` Accessor method for the contact's postal code
  `String` | `getStateProvince()` Accessor method for the contact's state or province
  `String` | `getStreet1()` Accessor method for the part 1 of the contact's street address
  `String` | `getStreet2()` Accessor method for the part 2 of the contact's street address
  `String` | `getStreet3()` Accessor method for the part 3 of the contact's street address
  `void` | `setCity(String value)` Accessor method for the contact's city
  `void` | `setCountryCode(String value)` Accessor method for the contact's country code
  `void` | `setPostalCode(String value)` Accessor method for the contact's postal code
  `void` | `setStateProvince(String value)` Accessor method for the contact's state or province
  `void` | `setStreet1(String value)` Accessor method for the part 1 of the contact's street address
  `void` | `setStreet2(String value)` Accessor method for the part 2 of the contact's street address
  `void` | `setStreet3(String value)` Accessor method for the part 3 of the contact's street address
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_city

    public String m_city

> The contact's city.
> See Also:
>   `setCity(String)`, `getCity()`

### m_country_code

    public String m_country_code

> The contact's country code.
> See Also:
>   `setCountryCode(String)`, `getCountryCode()`

### m_postal_code

    public String m_postal_code

> The contact's postal code.
> See Also:
>   `setPostalCode(String)`, `getPostalCode()`

### m_state_province

    public String m_state_province

> The contact's state or province.
> See Also:
>   `setStateProvince(String)`, `getStateProvince()`

### m_street1

    public String m_street1

> The part 1 of the contact's street address.
> See Also:
>   `setStreet1(String)`, `getStreet1()`

### m_street2

    public String m_street2

> The part 2 of the contact's street address.
> See Also:
>   `setStreet2(String)`, `getStreet2()`

### m_street3

    public String m_street3

> The part 3 of the contact's street address.
> See Also:
>   `setStreet3(String)`, `getStreet3()`

## Constructor Details

### epp_ContactAddress

    public epp_ContactAddress()

> Empty constructor

### epp_ContactAddress

    public epp_ContactAddress(String _m_street1,
                              String _m_street2,
                              String _m_street3,
                              String _m_city,
                              String _m_state_province,
                              String _m_postal_code,
                              String _m_country_code)

> The constructor with initializing variables.
> Parameters:
>   `_m_street1` - The part 1 of the contact's street address
>   `_m_street2` - The part 2 of the contact's street address
>   `_m_street3` - The part 3 of the contact's street address
>   `_m_city` - The contact's city
>   `_m_state_province` - The contact's state or province
>   `_m_postal_code` - The contact's postal code
>   `_m_country_code` - The contact's country code

## Method Details

### getCity

    public String getCity()

> Accessor method for the contact's city
> Returns:
>   The contact's city
> See Also:
>   `m_city`

### getCountryCode

    public String getCountryCode()

> Accessor method for the contact's country code
> Returns:
>   The contact's country code
> See Also:
>   `m_country_code`

### getPostalCode

    public String getPostalCode()

> Accessor method for the contact's postal code
> Returns:
>   The contact's postal code
> See Also:
>   `m_postal_code`

### getStateProvince

    public String getStateProvince()

> Accessor method for the contact's state or province
> Returns:
>   The contact's state or province
> See Also:
>   `m_state_province`

### getStreet1

    public String getStreet1()

> Accessor method for the part 1 of the contact's street address
> Returns:
>   The part 1 of the contact's street address
> See Also:
>   `m_street1`

### getStreet2

    public String getStreet2()

> Accessor method for the part 2 of the contact's street address
> Returns:
>   The part 2 of the contact's street address
> See Also:
>   `m_street2`

### getStreet3

    public String getStreet3()

> Accessor method for the part 3 of the contact's street address
> Returns:
>   The part 3 of the contact's street address
> See Also:
>   `m_street3`

### setCity

    public void setCity(String value)

> Accessor method for the contact's city
> Parameters:
>   `value` - The contact's city
> See Also:
>   `m_city`

### setCountryCode

    public void setCountryCode(String value)

> Accessor method for the contact's country code
> Parameters:
>   `value` - The contact's country code
> See Also:
>   `m_country_code`

### setPostalCode

    public void setPostalCode(String value)

> Accessor method for the contact's postal code
> Parameters:
>   `value` - The contact's postal code
> See Also:
>   `m_postal_code`

### setStateProvince

    public void setStateProvince(String value)

> Accessor method for the contact's state or province
> Parameters:
>   `value` - The contact's state or province
> See Also:
>   `m_state_province`

### setStreet1

    public void setStreet1(String value)

> Accessor method for the part 1 of the contact's street address
> Parameters:
>   `value` - The part 1 of contact's street address
> See Also:
>   `m_street1`

### setStreet2

    public void setStreet2(String value)

> Accessor method for the part 2 of the contact's street address
> Parameters:
>   `value` - The part 2 of the contact's street address
> See Also:
>   `m_street2`

### setStreet3

    public void setStreet3(String value)

> Accessor method for the part 3 of the contact's street address
> Parameters:
>   `value` - The part 3 of the contact's street address
> See Also:
>   `m_street3`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS